Bug 596973 - gnome-keyring-daemon not starting ssh subcomponent after F12 -> F13 upgrade
gnome-keyring-daemon not starting ssh subcomponent after F12 -> F13 upgrade
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 16:26 EDT by Tim Jackson
Modified: 2015-03-03 17:48 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:50:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Jackson 2010-05-27 16:26:15 EDT
Description of problem:
After an F-12 -> F-13 upgrade using preupgrade, gnome-keyring-daemon was only running with the "secrets" component. So for example, ssh-add was not working.

I did some investigation and it turned out that I had *no* gconf entries for gnome-keyring-daemon, whereas it's expecting the following keys:

/apps/gnome-keyring/daemon-components/pkcs11
/apps/gnome-keyring/daemon-components/secrets
/apps/gnome-keyring/daemon-components/ssh

I re-ran (as root) the gconf registration that is in the postinstall script in the RPM:

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule /etc/gconf/schemas/gnome-keyring.schemas

and then everything was fine after logout/login.

I checked in my /root/upgrade.log and there were no errors related to gconf or gnome-keyring.

Version-Release number of selected component (if applicable):
gnome-keyring-2.30.1-2.fc13.x86_64
Comment 1 Tomáš Bžatek 2010-05-28 07:11:16 EDT
There was a change in autostart desktop files:

/etc/xdg/autostart/gnome-keyring-pkcs11.desktop
/etc/xdg/autostart/gnome-keyring-secrets.desktop
/etc/xdg/autostart/gnome-keyring-ssh.desktop

Make sure they're correctly installed and enabled during session startup. 

One other thing - what desktop environment do you use? There were known problems when user was not running GNOME or LXDE or XFCE.
Comment 2 Tim Jackson 2010-05-29 04:27:29 EDT
I'm using GNOME. The desktop files were installed and enabled, but the point is that the SSH one for example has this:

AutostartCondition=GNOME /apps/gnome-keyring/daemon-components/ssh

so without the GConf key it wasn't starting (even though it was in the session startup list).
Comment 3 Steve Bennett 2010-07-02 08:53:19 EDT
Apologies if this is unrelated.

My system was also a F12 to F13 upgrade, but it's been working fine since it was upgraded.

Yum has downloaded and installed:
  gnome-keyring-2.30.3-1.fc13.x86_64
  gnome-python2-gnomekeyring-2.30.0-6.fc13.x86_64
  gnome-keyring-pam-2.30.3-1.fc13.x86_64

and now "ssh-add" reports:
  Could not open a connection to your authentication agent.
Comment 4 Bug Zapper 2011-06-02 09:11:40 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:50:33 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.